import chimera.extension
import threading
import os
import time

# -----------------------------------------------------------------------------
#
class helixhunter_EMO(chimera.extension.EMO):
	def name(self):
		return "helixhunter"

	def categories(self):
		"Return list of category names in which this extension belongs"
		return ["EMAN"]

	def description(self):
		"Return short description (appropriate for balloon help)"
		return 'runs EMAN helixhunter2'

	def documentation(self):
		"Return full documention URL"
		return None

	def hasUI(self):
		"Return whether extension activation starts a UI"
		return 1

	def activate(self):
		"Activate extension and return an instance (if appropriate)"
		self.module('hhc').gui()

		return None

chimera.extension.manager.registerExtension(helixhunter_EMO(__file__))

class foldhunter_EMO(chimera.extension.EMO):
	def name(self):
		return "foldhunter"

	def categories(self):
		"Return list of category names in which this extension belongs"
		return ["EMAN"]

	def description(self):
		"Return short description (appropriate for balloon help)"
		return 'runs EMAN foldhunterP'

	def documentation(self):
		"Return full documention URL"
		return None

	def hasUI(self):
		"Return whether extension activation starts a UI"
		return 1

	def activate(self):
		"Activate extension and return an instance (if appropriate)"
		self.module('fhc').gui()

		return None

chimera.extension.manager.registerExtension(foldhunter_EMO(__file__))

class helix_EMO(chimera.extension.EMO):
	def name(self):
		return "helix"

	def categories(self):
		"Return list of category names in which this extension belongs"
		return ["EMAN"]

	def description(self):
		"Return short description (appropriate for balloon help)"
		return 'modifies helixhunter helices'

	def documentation(self):
		"Return full documention URL"
		return None

	def hasUI(self):
		"Return whether extension activation starts a UI"
		return 1

	def activate(self):
		"Activate extension and return an instance (if appropriate)"
		self.module('helix').gui()

		return None

chimera.extension.manager.registerExtension(helix_EMO(__file__))

class bilateral_EMO(chimera.extension.EMO):
	def name(self):
		return "bilateral filter"

	def categories(self):
		"Return list of category names in which this extension belongs"
		return ["EMAN"]

	def description(self):
		"Return short description (appropriate for balloon help)"
		return 'bilateral filter'

	def documentation(self):
		"Return full documention URL"
		return None

	def hasUI(self):
		"Return whether extension activation starts a UI"
		return 1

	def activate(self):
		"Activate extension and return an instance (if appropriate)"
		self.module('bfc').gui()

		return None

chimera.extension.manager.registerExtension(bilateral_EMO(__file__))
